Subject: Re: bug#9679: 24.0.90; After rgrep, next-error goes to the wrong line

From: Ari Roponen <[email-masked]>
Date: Sun, 06 May 2012 09:23:10 +0300

Ari Roponen <[email-masked]> writes:

> Juri Linkov <[email-masked]> writes:
>
>> Thanks, I can now reproduce this bug.
>
> Thank you for looking at this problem.
>
>>
>> Unfortunately, I can't fix this, because I don't understand
>> why there are two implementations of column position calculations.
>
> No worries. As they say, a known bug is better than an unknown
> regression. :-)

Hi,

I can't reproduce this bug any more with todays checkout. It seems that
this commit fixed the bug:

revno: 108138
fixes bug(s): http://debbugs.gnu.org/11382
author: Troels Nielsen <[email-masked]>
committer: Chong Yidong <[email-masked]>
branch nick: trunk
timestamp: Sun 2012-05-06 12:52:58 +0800
message:
  Fix match highlighting in compilation buffers.
  
  * progmodes/compile.el (compilation-internal-error-properties):
  Calculate start position correctly when end-col is set but
  end-line is not.

-- 
Ari Roponen